com.verisign.epp.codec.gen

## Class EPPEncodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.codec.gen.EPPCodecException
        - - com.verisign.epp.codec.gen.EPPEncodeException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPEncodeException
      extends EPPCodecException

  Represents an exception while encoding an XML Element tree from a concrete `EPPCodecComponent`.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `MISSINGPARAMETER, SAX_EXCEPTION, VALUE_MISSINGPARAMETER, VALUE_SAX_EXCEPTION, VALUE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEncodeException(EPPCodecException excep)` Copy Constructor for EPPEncodeException that takes the base EPPCodecException.
    `EPPEncodeException(java.lang.String info)` Constructor for EPPEncodeException that takes an info string.
    `EPPEncodeException(java.lang.String info, EPPCodecException excep)` Constructor for EPPDecodeException that takes an info string and the base EPPCodecException.

  - ### Method Summary

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `equals, getValue`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEncodeException

          public EPPEncodeException(java.lang.String info)

      Constructor for EPPEncodeException that takes an info string.
      Parameters:
        `info` - Text description of the exception.

    - #### EPPEncodeException

          public EPPEncodeException(java.lang.String info,
                                    EPPCodecException excep)

      Constructor for EPPDecodeException that takes an info string and the base EPPCodecException.
      Parameters:
        `info` - Text description of the exception.
        `excep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.

    - #### EPPEncodeException

          public EPPEncodeException(EPPCodecException excep)

      Copy Constructor for EPPEncodeException that takes the base EPPCodecException.
      Parameters:
        `excep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.

Copyright © VeriSign Inc. All Rights Reserved.